<?php
class publicNSFW
{
	public static function nsfw(&$w)
    {
		if (!$w->url) {
			return;
		}
		
		global $core;
		
		if ($w->homeonly && $core->url->type != 'default') {
			return;
		}
		
		$limit = abs((integer) $w->limit);
		
		try {
			$feed = feedReader::quickParse($w->url,DC_TPL_CACHE);
			if ($feed == false || count($feed->items) == 0) {
				return;
			}
		} catch (Exception $e) {
			return;
		}
		
		$res =
		'<div class="flickr"'.(($w->eltid && $w->eltid != '') ? ' id="'.$w->eltid.'"' : '').'>'.
		($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2>' : '').
		'<ul>';
		
        $fstring = $w->fstring;

		$i = 0;
		foreach ($feed->items as $item) {
            // ATOM -> "content" node Vs. RSS -> "description" node
            $rawContent = ($item->content) ? $item->content : $item->description;
            // finds the m-sized picture url in the content, and simply replaces it with the s-sized version
            // could have been done with regexp, but tired of looking for the correct syntax...
            $startPos = strpos($rawContent, " src=\"") + 6;
            $endPos = strpos($rawContent, "_m.jpg", $startPos);
            $squarePicUrl = substr($rawContent, $startPos, $endPos-$startPos).'_s.jpg';

    	    $res .= ' <li><a href="'.$item->link.'">'.
                '<img class="flickrImg" width="75" height="75" alt="'.$item->title.'" title="'.$item->title.'" src="'.$squarePicUrl.'"/></a>';

            if($w->description) {
                $startPos = strpos($rawContent, "<p>", $endPos) + 3;
                $endPos = strpos($rawContent, "</p>", $startPos);
                $desc = substr($rawContent, $startPos, $endPos-$startPos);                
                $res .= '<p class="flickrDesc">'.$desc.'</p>';
            }  

            $res .= '</li> ';

			$i++;
			if ($i >= $limit) {
				break;
			}
		}
		
		$res .= '</ul>';

		if ($w->feedlink) {
			$res .= '<p><a type="'.$mime.'" href="'.$w->url.'" class="feed">'.
			$w->linklabel.'</a></p>';
		}

		return $res.$w->bottom.'</div>';
	}

}
?>
